createGOMatrix {ScISI} | R Documentation

## A function to create the bipartite graph (BG) incidence matrix from the protein complexes parsed from the GO Database

### Description

This function takes the output from the `getGOInfo` function and creates the bipartite graph (BG) incidence matrix from the output.

### Usage

    createGOMatrix(cMembers)

### Arguments

`cMembers` | A named list consisting of vectors. Each list item is named by a protein complex GO ID and points to a character vector where each character vector consists of the proteins composing of that protein complex.

### Value

A bipartite graph matrix of the corresponding GO protein complexes where the rows are indexed by the protein names and the colunms by GO ID's.

### Author(s)

Tony Chiang

### Examples

    #cMembers = getGOInfo(wantAllComplexes = FALSE)
    #createGOMatrix(cMembers)

[Package ScISI version 1.16.0 Index]